# Interface VolumePanelComponentDependencies

interface VolumePanelComponentDependencies {
componentOptions: VolumePanelComponentOptions;
name: string;
type?: string;
}

#### Hierarchy (view full)

- UiComponentDependencies
  - VolumePanelComponentDependencies

#####
Index

### Properties

componentOptions
name
type?

## Properties

### componentOptions

componentOptions: VolumePanelComponentOptions

Overrides UiComponentDependencies.componentOptions

### name

name: string

Inherited from UiComponentDependencies.name

### `Optional` type

type?: string

Inherited from UiComponentDependencies.type